Intermittent toolkit/components/passwordmgr/test/mochitest/test_formless_submit_navigation_negative.html | No formSubmissionProcessed should occur in this test

RESOLVED FIXED in Firefox 54

Status

()

RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: aryx, Assigned: gbrown)

Tracking

({intermittent-failure})

unspecified
mozilla55
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment)

+++ This bug was initially created as a clone of Bug #1293078 +++

https://treeherder.mozilla.org/logviewer.html#?job_id=81559916&repo=autoland

[task 2017-03-03T22:43:42.777671Z] 22:43:42     INFO -  267 INFO Running WINDOW_LOCATION_RELOAD script to check for a submission
[task 2017-03-03T22:43:42.778047Z] 22:43:42     INFO -  268 INFO TEST-FAIL | toolkit/components/passwordmgr/test/mochitest/test_formless_submit_navigation_negative.html | The author of the test has indicated that flaky timeouts are expected.  Reason: Testing that a message doesn't arrive
[task 2017-03-03T22:43:42.778181Z] 22:43:42     INFO -  Buffered messages logged at 22:43:29
[task 2017-03-03T22:43:42.778500Z] 22:43:42     INFO -  269 INFO TEST-PASS | toolkit/components/passwordmgr/test/mochitest/test_formless_submit_navigation_negative.html | Done waiting for captures
[task 2017-03-03T22:43:42.778717Z] 22:43:42     INFO -  270 INFO Starting testcase with script HISTORY_BACK: {"document":"<input type=password value=\"pass2\">","wouldCapture":true}
[task 2017-03-03T22:43:42.778896Z] 22:43:42     INFO -  Buffered messages finished
[task 2017-03-03T22:43:42.779142Z] 22:43:42     INFO -  271 INFO TEST-UNEXPECTED-FAIL | toolkit/components/passwordmgr/test/mochitest/test_formless_submit_navigation_negative.html | No formSubmissionProcessed should occur in this test
[task 2017-03-03T22:43:42.779449Z] 22:43:42     INFO -      submissionProcessed@toolkit/components/passwordmgr/test/mochitest/test_formless_submit_navigation_negative.html:29:3
[task 2017-03-03T22:43:42.779832Z] 22:43:42     INFO -  272 INFO got: [{"hostname":"http://test1.mochi.test:8888","formSubmitURL":"http://test1.mochi.test:8888","usernameField":null,"newPasswordField":{"name":"","value":"pass2"},"oldPasswordField":null}]
[task 2017-03-03T22:43:42.780170Z] 22:43:42     INFO -  273 INFO Running HISTORY_BACK script to check for a submission
14 failures in 790 pushes (0.018 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 11
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* android-4-3-armv7-api15: 13
* android-4-0-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344401&startday=2017-03-06&endday=2017-03-12&tree=all
9 failures in 777 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 5
* autoland: 4

Platform breakdown:
* android-4-3-armv7-api15: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344401&startday=2017-03-13&endday=2017-03-19&tree=all
12 failures in 898 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 9
* mozilla-inbound: 2
* mozilla-aurora: 1

Platform breakdown:
* android-4-3-armv7-api15: 12

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344401&startday=2017-03-20&endday=2017-03-26&tree=all
23 failures in 845 pushes (0.027 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 7
* mozilla-central: 3

Platform breakdown:
* android-4-3-armv7-api15: 22
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344401&startday=2017-03-27&endday=2017-04-02&tree=all
(Assignee)

Comment 5

2 years ago
This is almost always on Android Debug, and the same failures as bug 1293078, where I increased the timeout. That change seemed to work for a few months.
(Assignee)

Comment 6

2 years ago
Matt, do you have thoughts on how to make this more reliable? It occurs to me we could wait longer, skip the test on Android Debug (other platforms are all mis-stars), or try to eliminate the timeout somehow...I'm tempted to skip on Android Debug.
Flags: needinfo?(MattN+bmo)
15 failures in 867 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* mozilla-inbound: 4
* mozilla-aurora: 3
* try: 1

Platform breakdown:
* android-4-3-armv7-api15: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1344401&startday=2017-04-03&endday=2017-04-09&tree=all
I would prefer increasing the timeout again only for (Android) debug builds since bug 1293078 made running the pwmgr tests much slower. Disabling for Android Debug would be my next preference.
Flags: needinfo?(MattN+bmo)
(Assignee)

Updated

2 years ago
Assignee: nobody → gbrown
(Assignee)

Comment 9

2 years ago
Created attachment 8857152 [details] [diff] [review]
increase android wait time

This increases the total Android run time for the test to about 210 seconds.

https://treeherder.mozilla.org/#/jobs?repo=try&revision=04a6bb5a0330c6ef915f0c210672214d14c93cca
Attachment #8857152 - Flags: review?(MattN+bmo)
Comment on attachment 8857152 [details] [diff] [review]
increase android wait time

Review of attachment 8857152 [details] [diff] [review]:
-----------------------------------------------------------------

r=me if it works
Attachment #8857152 - Flags: review?(MattN+bmo) → review+

Comment 11

2 years ago
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/3fb2e54c398e
Increase wait time in test_formless_submit_navigation_negative, on Android only; r=mattn
(Assignee)

Updated

2 years ago
Whiteboard: [stockwell fixed]

Comment 12

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/3fb2e54c398e
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
You need to log in before you can comment on or make changes to this bug.